[chirp_users] chirp on CentOS 7

Fred fredferickson at gmail.com
Wed Jul 3 10:10:45 PDT 2019


On Sun, 30 Jun 2019 23:30:33 -0700
Tracy Reed <treed at ultraviolet.org> wrote:

> I've had chirp running previously but that was a couple of years ago
> and I think I had CentOS 6 then. When I download the latest version
> OR run the version from the epel repo I get the following error:
> 
> $ chirpw 
> Traceback (most recent call last):
>   File "/usr/bin/chirpw", line 24, in <module>
>     from chirp.drivers import *
>   File "/usr/lib/python2.7/site-packages/chirp/drivers/idrp.py", line
> 16, in <module> import serial
>   File
> "/usr/lib/python2.7/site-packages/serial-0.0.97-py2.7.egg/serial/__init__.py",
> line 10, in <module> from . import utilities, abc, model, marshal,
> errors, properties, meta, hooks, test, request File
> "/usr/lib/python2.7/site-packages/serial-0.0.97-py2.7.egg/serial/model.py",
> line 1291 exec(source, namespace) SyntaxError: unqualified exec is
> not allowed in function 'from_meta' it contains a nested function
> with free variables
> 
> I'm running the python 2.7.5 which came with CentOS 7.
> 
> I've googled this and can't find anything related to chirp. There are
> some who claim it's a python bug but that seems unlikely as this is a
> very well used and tested version of python. Any ideas?
> 
> I'm looking forward to getting my FT-60 which somehow lost all of its
> memory reloaded with my repeaters.
> 
> Thanks!
> 

After doing a fresh install of Fedora 30, I had to manually install
this - python2-pyserial-3.4-2fc30.noarch - for chirp to work.



More information about the chirp_users mailing list